For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
      • POSTGet an activity report
      • GETList the predefined metrics used in activity reports
      • GETGet custom report (Explorer)
      • POSTGet a funnel report (stages)
      • POSTGet a funnel report (totals)
      • GETGet sent emails report
      • GETGet lead status change report
      • GETGet opportunity status change report
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Search & ReportingReporting

Get custom report (Explorer)

||View as Markdown|
GET
https://api.close.com/api/v1/report/custom/:org_id/
GET
/api/v1/report/custom/:org_id/
$curl https://api.close.com/api/v1/report/custom/org_id/ \
> -u "<CLOSE_API_KEY>:"
1{}
This endpoint returns data that allows graphing of arbitrary metrics and is what powers "Explorer" in the UI. - `query` is an optional search query filter. When reporting on leads, any regular lead search query may be used. When reporting on activities or opportunities, only properties of the chosen object type may be used. For example, `direction:incoming` may be used if `x` starts with `email.`. Defaults to `*`, which includes all objects. - `y` is made up of the object type and field which is reported on the Y axis. For example the value `lead.count` (used by default) may be used to graph the number of leads, or a numeric field may be used. Examples: `call.duration` (for call length), `opportunity.value` (for value of opportunities). - `x` is the field which is reported on the X axis, for example "lead.custom.MRR" or "opportunity.date_created". - `interval`: Graph interval, i.e. the precision of the X axis. For time based graphs (`x` is a date field), one of `auto`, `hour`, `day`, `week`, `month`, `quarter`, `year` (defaults to `auto`, which is chosen based on `start` and `end`). For graphs with a numeric X axis, an integer number can be specified to indicate the histogram interval (`auto` by default). - `group_by`: Optional field name by which the report will be grouped. When grouping, a separate series will be returned for each group. By default no grouping is applied. - `transform_y`: Transformation function that gets applied to the `y` parameter. One of `sum` (default), `avg`, `min`, or `max`. Does not apply for `.count` `y` values if `x` is of the same object type. - `start`: Date or integer of the start of the X axis range. For dates, defaults to the date of creation of your organization. - `end`: Date or integer of the end of the X axis range. For dates, defaults to now. To get a full list of fields that can be used, do a GET to `/report/custom/fields/`. Only the `number` data type can be used for the `y` parameter.
Was this page helpful?
Previous

List the predefined metrics used in activity reports

Next

Get a funnel report (stages)

Built with

This endpoint returns data that allows graphing of arbitrary metrics and is what powers “Explorer” in the UI.

  • query is an optional search query filter. When reporting on leads, any regular lead search query may be used. When reporting on activities or opportunities, only properties of the chosen object type may be used. For example, direction:incoming may be used if x starts with email.. Defaults to *, which includes all objects.
  • y is made up of the object type and field which is reported on the Y axis. For example the value lead.count (used by default) may be used to graph the number of leads, or a numeric field may be used. Examples: call.duration (for call length), opportunity.value (for value of opportunities).
  • x is the field which is reported on the X axis, for example “lead.custom.MRR” or “opportunity.date_created”.
  • interval: Graph interval, i.e. the precision of the X axis. For time based graphs (x is a date field), one of auto, hour, day, week, month, quarter, year (defaults to auto, which is chosen based on start and end). For graphs with a numeric X axis, an integer number can be specified to indicate the histogram interval (auto by default).
  • group_by: Optional field name by which the report will be grouped. When grouping, a separate series will be returned for each group. By default no grouping is applied.
  • transform_y: Transformation function that gets applied to the y parameter. One of sum (default), avg, min, or max. Does not apply for .count y values if x is of the same object type.
  • start: Date or integer of the start of the X axis range. For dates, defaults to the date of creation of your organization.
  • end: Date or integer of the end of the X axis range. For dates, defaults to now.

To get a full list of fields that can be used, do a GET to /report/custom/fields/. Only the number data type can be used for the y parameter.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

org_idstringRequired

Query parameters

querystringOptional
xstringOptional
ystringOptional
group_bystringOptional
transform_yenumOptional
Allowed values:
intervalstringOptional
startstringOptional
endstringOptional

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error